<?php

namespace EventPortal\Http\Controllers\Admin\Event;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Http\Controllers\Controller;
use Inertia\Inertia;
use Inertia\Response;

class ArchivedEventController extends Controller
{
    public function index(): Response
    {
        $table = Table::make('archived-event.index')
            ->query(Event::query()->isArchived())
            ->request(request())
            ->get();

        return Inertia::render('ArchivedEvent/Index', [
            'data' => $table,
            'pageTitle' => 'Archived Events',
        ]);
    }
}
